package core

import (
	"fmt"
	"hongze/hongze_yb/global"
	"hongze/hongze_yb/init_serve"
)

func RunServe() {
	//初始化路由
	r := init_serve.InitRouter()
	//初始化mysql数据库
	init_serve.Mysql()
	//如果配置了redis，那么链接redis
	if global.CONFIG.Serve.UseRedis {
		//初始化redis
		init_serve.Redis()
	}

	if global.CONFIG.Mongo.Url != `` {
		//初始化redis
		init_serve.InitMongo()
	}

	//初始化elasticSearch 搜索客户端
	init_serve.NewEsClient()

	//启动任务
	//init_serve.InitTask()
	// 3.监听端口，默认在8080
	// Run("里面不指定端口号默认为8080")
	err := r.Run(fmt.Sprint("0.0.0.0:", global.CONFIG.Serve.Port)) // 监听并在 0.0.0.0:8080 上启动服务
	if err != nil {
		panic(fmt.Errorf("服务启动失败，Err:%s", err))
	}
}
